Last Comment Bug 495008 - Desktop Maemo builds/repacks
: Desktop Maemo builds/repacks
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: x86 Linux
: -- normal (vote)
: ---
Assigned To: John Ford [:jhford]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 19:54 PDT by Aki Sasaki [:aki]
Modified: 2013-08-12 21:54 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
mozconfig that worked on a manual build (1.35 KB, patch)
2009-06-01 11:36 PDT, Aki Sasaki [:aki]
no flags Details | Diff | Review
buildbot-configs (24.82 KB, patch)
2009-06-10 00:27 PDT, John Ford [:jhford]
no flags Details | Diff | Review
buildbotcustom (2.63 KB, patch)
2009-06-10 00:28 PDT, John Ford [:jhford]
aki: review+
aki: checked‑in+
Details | Diff | Review
buildbot-configs redux (24.62 KB, patch)
2009-06-10 00:36 PDT, John Ford [:jhford]
no flags Details | Diff | Review
buildbot-configs (24.54 KB, patch)
2009-06-10 14:08 PDT, John Ford [:jhford]
aki: review+
aki: checked‑in+
Details | Diff | Review

Description Aki Sasaki [:aki] 2009-05-26 19:54:00 PDT
Seth says that we will need desktop (x86) builds of Maemo for testers/localizers.
Comment 1 Aki Sasaki [:aki] 2009-05-26 19:54:38 PDT
er, builds of Fennec.
Comment 2 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2009-05-27 02:05:03 PDT
Thanks for filing this bug.

I cant remembered all details of when Seth and I talked; was just doing nightly builds enough, or was there also a need for per-checkin builds?
Comment 3 Axel Hecht [:Pike] 2009-05-27 04:19:52 PDT
We should get the full monty for l10n. I would expect that to be easier to set up, too.

I can't speak for the en-US desktop builds, for l10n we only need nightlies of those right now. Whether those should support depend builds, too, is a question for the fennec guys.
Comment 4 Aki Sasaki [:aki] 2009-05-27 14:15:33 PDT
Also, I assume these are linux desktop builds? Or are we able to build win32/osx versions of desktop Fennec?

I didn't find any instructions on desktop Fennec builds with a quick glance at the wiki; does anyone have some? (Manual steps, mozconfig)
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2009-05-27 14:20:08 PDT
(In reply to comment #4)
> Also, I assume these are linux desktop builds? Or are we able to build
> win32/osx versions of desktop Fennec?

Yep. All 3 platforms are built pretty much the same way. I use a slightly different mozconfig for OS X, but Win32 and Linux is the same.

> I didn't find any instructions on desktop Fennec builds with a quick glance at
> the wiki; does anyone have some? (Manual steps, mozconfig)

https://wiki.mozilla.org/Mobile/Build/Fennec  has some details
Comment 6 Aki Sasaki [:aki] 2009-06-01 11:36:35 PDT
Created attachment 380872 [details] [diff] [review]
mozconfig that worked on a manual build
Comment 7 Aki Sasaki [:aki] 2009-06-01 11:37:11 PDT
Reassigning to jhford.
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2009-06-01 11:50:40 PDT
(In reply to comment #6)
> Created an attachment (id=380872) [details]
> mozconfig that worked on a manual build

In general, I'm glad you're using --enable-tests, but do we need that for desktop builds? Might be faster to not enable the tests.
Comment 9 Aki Sasaki [:aki] 2009-06-01 11:58:50 PDT
I'd actually be curious as to how Fennec unit/perf tests would do on our standard test images/machines as compared to the devices.  That's certainly beyond the scope of this bug, however, and if the Mobile team doesn't think that's needed we can certainly disable them easily.
Comment 10 John Ford [:jhford] 2009-06-09 18:24:02 PDT
Builds and repacks are now working for Linux-i686.  I am going to clean up and submit for review tomorrow morning.
Comment 11 John Ford [:jhford] 2009-06-10 00:27:33 PDT
Created attachment 382455 [details] [diff] [review]
buildbot-configs

Include a Linux i686 build of Fennec and a nightly repack.
Comment 12 John Ford [:jhford] 2009-06-10 00:28:15 PDT
Created attachment 382456 [details] [diff] [review]
buildbotcustom

Add a MobileDesktop build and repack factory
Comment 13 John Ford [:jhford] 2009-06-10 00:36:54 PDT
Created attachment 382458 [details] [diff] [review]
buildbot-configs redux

accidentally included an incorrect mozconfig with previous patch.  sorry for the bugspam.
Comment 14 Aki Sasaki [:aki] 2009-06-10 11:46:11 PDT
Comment on attachment 382458 [details] [diff] [review]
buildbot-configs redux

Nit: does a multi-line build name work? Not sure if you tested it this way or if this was a later change.

>+MOBILE_BRANCHES['mobile-trunk']['platforms']['linux-i686']['base_name'] ='Linux
>+Fennec Desktop mozilla-central'

Nit: let's just do 'l10n' instead of 'build/l10n' to match the scratchbox layout.  Spoiler: you may be working on changing these soon anyway, though not necessarily for l10n =)

>+MOBILE_BRANCHES['mobile-trunk']['platforms']['linux-i686']['base_l10n_workdir'] = 'build/l10n'

Nit: let's play a game of "spot the typo":

>+                print 'platform %s is not linux-gnueabi-armi or linux-i686' % platform

Also I'm not sure if it was from this morning's checkins or what, but I had issues applying this patch:

patch: **** malformed patch at line 22: diff -r 18156ce9a107 mozilla2-staging/mobile_config.py
Comment 15 Aki Sasaki [:aki] 2009-06-10 11:47:59 PDT
Comment on attachment 382456 [details] [diff] [review]
buildbotcustom

looks good.
also, great job.
Comment 16 John Ford [:jhford] 2009-06-10 14:08:26 PDT
Created attachment 382585 [details] [diff] [review]
buildbot-configs

Fixed bitrot and the three nits Aki had.
Comment 17 Aki Sasaki [:aki] 2009-06-16 08:49:48 PDT
Comment on attachment 382585 [details] [diff] [review]
buildbot-configs

revision 1201:6401e8060e93, 1202:4bc6ce43788a
Comment 18 Aki Sasaki [:aki] 2009-06-16 08:50:17 PDT
Comment on attachment 382456 [details] [diff] [review]
buildbotcustom

revision 334:fa752dffb214
Comment 19 John Ford [:jhford] 2009-06-17 11:18:16 PDT
Seems to work in production, there was an issue with one specific slave (moz2-linux-slave07) regarding the mozilla-central checkout.  I have clobbered all the linux fennec desktop builders and check tomorrow on the output
Comment 20 John Ford [:jhford] 2009-06-18 09:37:58 PDT
It seems like the DNS issue has been resolved and there are now the correct number of Fennec-i686 builds compared to Fennec-gnueabi-arm builds.

Note You need to log in before you can comment on or make changes to this bug.